=== debian/changelog ===
roccat-tools (3.6.1-1mx150+1) mx; urgency=medium

  * Repackaged for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sat, 09 Jan 2016 17:10:14 -0500

roccat-tools (3.6.1+20150827-1) experimental; urgency=medium

  * new version (import upstream changes)
  * Release notes for 3.6.0/3.6.1 from Stefan Achatz:
    - Biggest addition is near-complete support for Nyth. 
      Missing atm: rmp im-/export, button set editor, firmware updater and
      variable profile number.
    - Also brings firmware updater for RyosTKL but removes it for Tyon.

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 27 Aug 2015 15:09:27 +0200

roccat-tools (3.5.0+20150629-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/patches:
    - Remove 012_fix_FTBFS_in_all_eventhandler_libs.patch (fixed by upstream)
  * Release notes for 3.5.0 from Stefan Achatz:
    - Software shortcuts are now kept alive as long the button is pressed.
    - Small fixes.

 -- Jürgen Tretthahn <orson@orson.at>  Mon, 29 Jun 2015 16:43:16 +0200

roccat-tools (3.4.0+20150603-1) experimental; urgency=medium

  * debian/rules: Fix configuration options, changed from using ${prefix}
    to fixed "/usr" variables... cmake didn't replace the "${prefix}" with
    /usr on its own...
    Thanx to Volker Klasen <reklov@unitedklasens.de> for finding the
    problem (roccateventhandler not doing its job) and the reason it didn't
    work.

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 03 Jun 2015 14:59:01 +0200

roccat-tools (3.4.0+20150526-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/control:
    - Update Depends of libroccat3: libgaminggear0 (>= 0.9.0)
  * debian/patches:
    - Add: 012_fix_FTBFS_in_all_eventhandler_libs.patch
  * Release notes for 3.4.0 from Stefan Achatz:
    - Some (unmentioned) smaller things.
    - The uinput event handling for software execution devices changed
      (Arvo, Kone, Kova[+] and Pyra). Events are not fed into the devices
      evdevs where apropriate, but into a single uinput devices.
      Positive effects are not to be expected, but it's a test run which
      leads to future uhid support that might solve raw input issues.
    - KoneXTD and KonePure range devices got support for custom colors.

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 26 May 2015 17:32:25 +0200

roccat-tools (3.3.0+20150504-1) experimental; urgency=medium

  * debian/control:
    - Add explicit Depends to libroccat3: libgaminggear0 (>= 0.8.0)

 -- Jürgen Tretthahn <orson@orson.at>  Mon, 04 May 2015 17:19:11 +0200

roccat-tools (3.3.0+20150421-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/control:
    - Add new Build-Depends: libsqlite3-dev, gettext
  * debian/roccat-common.install:
     - Add usr/share/locale
  * Release notes for 3.3.0 from Stefan Achatz:
    - Main addition is i18n support with German translation.
    - Also the Ryos range configuration GUI's support keyboard layouts
      (to be set in edit/preferences).
    - The Ryos ripple scripting engine now supports Lua 5.2, the meaning
      of the WITH_LUA configuration options has changed from a boolean
      to the exact version you want to link against.
    - New supported device: KonePureBlack which seems to be a a rare
      KonePureMilitary variant sold in bulk packaging.
      Not even I have seen one.
    - Bugfixes.

 -- Jürgen Tretthahn <orson@orson.at>  Tue, 21 Apr 2015 15:16:43 +0200

roccat-tools (3.2.0+20150312-2) experimental; urgency=medium

  * debian/patches:
    - Add 011_ryos_FTBFS_3.2.0.patch

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 12 Mar 2015 23:49:25 +0100

roccat-tools (3.2.0+20150312-1) experimental; urgency=medium

  * new version (import upstream changes)

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 12 Mar 2015 18:17:01 +0100

roccat-tools (3.1.0+20150226-1) experimental; urgency=medium

  * debian/control:
    - Add Breaks/Conflicts against libroccat2

 -- Jürgen Tretthahn <orson@orson.at>  Thu, 26 Feb 2015 02:41:54 +0100

roccat-tools (3.1.0+20150225-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/control:
    - add to BuildDeps:
      libdbus-1-dev, liblua5.1-dev | liblua5.2-dev, lua5.1 | lua5.2
    - removed from BuildDeps:
      python-dev
  * Release notes for 3.1.0 from Stefan Achatz:
    - Added long awaited support for Ryos TKL Pro and some minor fixes.
  * Important release notes for 3.0.0 from Stefan Achatz:
    - I threw away Python as the scripting engine for RyosMKPro ripple 
      effects. Lua is the better replacement and has to be explicitly
      compiled with the WITH_LUA configuration option and activated
      with a eventhandler configuration option.

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 25 Feb 2015 22:30:38 +0100

roccat-tools (2.4.0+20150126-1) experimental; urgency=medium

  * new version (import upstream changes)
  * debian/patches:
    - remove 010_ryos_store_profile_in_device_fix_for_2.3.0.patch
      (Fixed in upstream source)
  * Release notes for 2.4.0 from Stefan Achatz:
    - This is the Tyon finalizing release.
      Along with firmware 1.29 Talk works as expected and macros are fully
      working up to 480 actions.
      Along with minor fixes done this device is fully supported now.

 -- Jürgen Tretthahn <orson@orson.at>  Mon, 26 Jan 2015 16:23:31 +0100

roccat-tools (2.3.0+20150123-1) experimental; urgency=medium

  * debian/patches:
    - Add ryos can't store profile in device fix
      Patch written by Stefan Achatz

 -- Jürgen Tretthahn <orson@orson.at>  Fri, 23 Jan 2015 12:31:25 +0100

roccat-tools (2.3.0+20150114-1) experimental; urgency=medium

  * new version (import upstream changes)
  * Release notes for 2.3.0 from Stefan Achatz:
    - This one has a longer list of fixes and smaller additions.

 -- Jürgen Tretthahn <orson@orson.at>  Wed, 14 Jan 2015 10:17:37 +0100

roccat-tools (2.2.0+20141007-1) experimental; urgency=medium


