=== debian/control ===
Source: roccat-tools
Section: libs
Priority: optional
Maintainer: Jürgen Tretthahn <orson@orson.at>
Build-Depends: debhelper (>= 8.1.3), cdbs (>= 0.4.93),
 autotools-dev, automake (>> 1.9), autoconf (>> 2.60), cmake,
 libgtk2.0-dev, libgudev-1.0-dev, libnotify-dev (>= 0.7), libcanberra-dev, libusb-1.0-0-dev | libusb-dev,
 libdbus-1-dev, libdbus-glib-1-dev, liblua5.1-dev | liblua5.2-dev, lua5.1 | lua5.2, libx11-dev,
 gettext, libsqlite3-dev,
 libgaminggear-dev (>= 0.11.1)
Standards-Version: 3.9.2

Package: libroccat3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgaminggear0 (>= 0.11.1)
Replaces: libkoneplus0 (<< 0.10.0)
Conflicts: libroccat0, libroccat1, libroccat2
Breaks: libroccat0, libroccat1, libroccat2
Recommends: kmod-roccat-dkms
Description: Roccat library
 Library package
 .
 This package contains the roccat libraries.

Package: libroccat3-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: libroccat3 (= ${binary:Version})
Replaces: libkoneplus0 (<< 0.10.0)
Recommends:
Description: Roccat library - debug symbols
 Library package
 .
 This package contains the debug symbols for roccat libraries.

Package: libroccat-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroccat3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libkoneplus-dev (<< 0.10.0)
Recommends:
Description: Roccat development library/headers
 Development package
 .
 This package contains the roccat development libraries/headers.

Package: roccat-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libroccat0
Breaks: libroccat0
Recommends:
Description: Roccat common files
 Shared files for roccat packages
 .
 This package contains the roccat data files.

Package: roccat-gui
Architecture: any
Depends: libroccat3 (= ${binary:Version}), roccat-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: roccat-utils
Breaks: roccat-common (<= 0.11.0+20120126-2)
Description: Roccat GUI
 The Roccat GUI for following Roccat devices:
 * Arvo
 * Isku
 * IskuFX
 * Kone
 * Kone[+]
 * KonePure
 * KonePureOptical
 * KonePureMilitary
 * KonePureBlack
 * KoneXTD
 * KoneXTDOptical
 * Kova[+]
 * Lua
 * Pyra
 * Ryos MK
 * Ryos TKL
 * Savu
 * Tyon
 * Nyth
 .
 This package contains the roccat-gui binary files.

Package: roccat-gui-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: roccat-gui (= ${binary:Version})
Replaces: libkoneplus0 (<< 0.10.0)
Recommends:
Description: Roccat GUI - debug symbols
 Debug package
 .
 This package contains the debug symbols for roccat GUI.

Package: roccat-utils
Architecture: any
Depends: libroccat3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: roccat-koneplus-utils
Recommends: roccat-gui
Description: Roccat device utils
 Optional roccat*control utilities for some Roccat devices:
 * Arvo
 * Isku
 * IskuFX
 * Kone
 * Kone+
 * KonePure
 * KonePureMilitary
 * KonePureOptical
 * KoneXTD
 * KoneXTDOptical
 * Kova+
 * Lua
 * Pyra
 * Ryos MK
 * Ryos TKL
 * Savu
 * Tyon
 * Nyth
 .
 This package contains the runtime binaries for the utils.

Package: roccat-utils-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: roccat-utils (= ${binary:Version})
Recommends:
Description: Roccat device utils - debug symbols
 Debug package
 .
 This package contains the debug symbols for roccat utils.
