=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/cdbs/1/rules/debhelper.mk
CFLAGS := -g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall
include /usr/share/cdbs/1/class/cmake.mk

#CFLAGS+= -DHAVE_NOTIFY_0_7
#DEB_OPT_FLAG := "-O0"
#DEB_CMAKE_NORMAL_ARGS += -DCMAKE_BUILD_TYPE=Debug
#CMAKE_C_FLAGS="-g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall"
#CMAKE_CXX_FLAGS="-g -O0 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall"
#DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=None -DWITH_LUA=1
#ROCCAT_MAIN_VERSION := $(shell dpkg-parsechangelog | grep "^Version: " | sed "s/^Version: \+\([[:digit:]]\+\)\..*$/\1/g")
#DEB_CMAKE_EXTRA_FLAGS += -DWITH_LUA=TRUE
ROCCAT_MAIN_VERSION := 3
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=None
DEB_CMAKE_EXTRA_FLAGS += -DLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
DEB_CMAKE_EXTRA_FLAGS += -DWITH_LUA=5.1
DEB_CMAKE_EXTRA_FLAGS += -DEVENTHANDLER_PLUGIN_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DLIBDIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DEVENTHANDLER_PLUGIN_DIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DGAMINGGEAR0_FX_PLUGIN_DIR=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
#DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
#DEB_CMAKE_EXTRA_FLAGS += -DGTK2_GDKCONFIG_INCLUDE_DIR="/usr/include/gtk-2.0"
#DEB_CMAKE_EXTRA_FLAGS += -DDEVICES="koneplus"
DEB_DH_INSTALL_ARGS += --fail-missing
#DEB_DH_INSTALL_ARGS += --list-missing
#LD_LIBRARY_PATH += "$(CURDIR)/debian/libroccat0/usr/lib/$(DEB_HOST_MULTIARCH)/roccat"

common-configure-arch::
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	  debian/libroccat$(ROCCAT_MAIN_VERSION).install.in > debian/libroccat$(ROCCAT_MAIN_VERSION).install
	sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	  debian/libroccat-dev.install.in > debian/libroccat-dev.install
	#sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	#  debian/libkoneplus0.install.in > debian/libkoneplus0.install
	#sed -e "s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
	#  debian/libkoneplus-dev.install.in > debian/libkoneplus-dev.install

clean::
	rm -f debian/libroccat2.install
	rm -f debian/libroccat-dev.install
