## roccat-tools 5.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(POLICY CMP0022)
-  CMAKE_POLICY(SET CMP0022 OLD)
-ENDIF()
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12)
 
 PROJECT(roccat-tools C)
 
@@ -37,14 +34,16 @@
 SET(TRANSLATION_LANGUAGES de en)
 
 SET(ALL_DEVICES
-  arvo 
+  arvo
   isku iskufx
+  kiro
   koneplus
   konepure konepuremilitary konepureoptical
   konextd konextdoptical
-  kovaplus lua nyth pyra
-  ryosmk ryostkl
-  savu tyon
+  kovaplus kova2016
+  lua nyth pyra
+  ryosmk ryosmkfx ryostkl
+  savu skeltr sova suora tyon
 )
 
 IF(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
@@ -72,15 +71,18 @@
   MESSAGE(FATAL_ERROR "Compiler does not support attribute pack")
 ENDIF()
 
+FIND_PACKAGE(GTHREAD2)
 FIND_PACKAGE(GTK REQUIRED)
 FIND_PACKAGE(DBUS REQUIRED)
 FIND_PACKAGE(DBUS-GLIB REQUIRED)
 FIND_PACKAGE(GMODULE2 REQUIRED)
 FIND_PACKAGE(GUDEV REQUIRED)
 FIND_PACKAGE(X11 REQUIRED)
-FIND_PACKAGE(GAMINGGEAR0 0.11.1 REQUIRED)
+FIND_PACKAGE(GAMINGGEAR0 0.15.1 REQUIRED)
 FIND_PACKAGE(M REQUIRED)
-IF(WITH_LUA)
+
+list_contains(DEVICES "ryosmk;ryostkl;ryosmkfx" contains)
+IF(contains)
   FIND_PACKAGE(LUA ${WITH_LUA} EXACT REQUIRED)
 ENDIF()
 
@@ -94,9 +96,9 @@
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
 )
 
-SET(V_MAJOR 3)
-SET(V_MINOR 6)
-SET(V_PATCH 1)
+SET(V_MAJOR 5)
+SET(V_MINOR 9)
+SET(V_PATCH 0)
 
 ENABLE_TESTING()
 
@@ -125,35 +127,11 @@
     DEPENDS
       ${CMAKE_CURRENT_SOURCE_DIR}/${name}_dbus_services.xml
   )
-  
+
   ADD_CUSTOM_TARGET(${name}_dbus_bindings ALL
     DEPENDS
       ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_server_glue.h
       ${CMAKE_CURRENT_BINARY_DIR}/${name}_dbus_plain_services.h
-  )
-ENDMACRO()
-
-MACRO(add_compiled_lua name dest)
-  ADD_CUSTOM_COMMAND(
-    OUTPUT
-      ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
-    COMMAND luac -o ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
-    DEPENDS
-      ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
-  )
-  
-  STRING(REPLACE "/" "_" _TARGET_NAME ${CMAKE_CURRENT_SOURCE_DIR}_${name}.lc)
-
-  ADD_CUSTOM_TARGET(${_TARGET_NAME} ALL
-    DEPENDS
-      ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
-  )
-  
-  INSTALL(FILES
-    ${CMAKE_CURRENT_SOURCE_DIR}/${name}.lua
-    ${CMAKE_CURRENT_BINARY_DIR}/${name}.lc
-    DESTINATION ${dest}
-    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
   )
 ENDMACRO()
