=== udev/CMakeLists.txt ===
FOREACH(device ${DEVICES})
  INSTALL(FILES 90-roccat-${device}.rules
    DESTINATION ${UDEVDIR}
    PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
  )
ENDFOREACH()
