=== isku/roccatiskucontrol/CMakeLists.txt ===
ADD_EXECUTABLE(roccatiskucontrol iskucontrol.c)

TARGET_LINK_LIBRARIES(roccatiskucontrol
  libroccatisku
  libroccat
  ${GLIB2_LIBRARIES}
)

INSTALL(TARGETS roccatiskucontrol
  DESTINATION bin
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

ADD_SUBDIRECTORY(man)
