=== debian/changelog ===
roccat-tools (5.9.0-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 14 Nov 2020 11:18:33 -0500

roccat-tools (5.9.0-1-ppa1~bionic1) bionic; urgency=low

   * Improved: Lua (the language) finder now handles version and release numbers
   * Improved: Specfile
   * Improved: RyosMKFX better gamma correction
   * Added: RyosMKFX notification settings
   * Fixed: RyosMKFX false modified profiles leading to unnecessary writes
   * Fixed: Sova & Skeltr add new profile lost settings
   * Fixed: Sova open application opened driver instead
   * Fixed: Double audio notification on profile change when configuration GUI is running

 -- Arturo Casal <berfenger@bfgnet.net>  Wed, 17 Apr 2019 11:19:11 +0000
